import { EventEmitter, OnInit } from '@angular/core';
import { FormBuilder, FormGroup } from '@angular/forms';
import { Platform } from '@ionic/angular';
import { CurrentDeviceService } from '../../current-device.service';
import { ProtocolFactoryService } from '../../protocol-factory.service';
import { ProtocolSelectedEvent } from '../../tap-scanner/api';
export interface TapConnectMqttComponentFormData {
    endpoint?: string;
    serialNumber?: string;
    password?: string;
    netKey?: string;
    username?: string;
}
export declare class TapConnectMqttComponent implements OnInit {
    protected currentDevice: CurrentDeviceService;
    private formBuilder;
    private platform;
    private protocolFactory;
    onProtocolSelected: EventEmitter<ProtocolSelectedEvent>;
    onError: EventEmitter<Error>;
    defaults: TapConnectMqttComponentFormData;
    validation_messages: {
        username: never[];
        serialNumber: {
            type: string;
            message: string;
        }[];
        netKey: {
            type: string;
            message: string;
        }[];
    };
    form: FormGroup;
    loading: boolean;
    rememberGroupName: string;
    get password(): import("@angular/forms").AbstractControl;
    get username(): import("@angular/forms").AbstractControl;
    get serialNumber(): import("@angular/forms").AbstractControl;
    get netKey(): import("@angular/forms").AbstractControl;
    get endpoint(): import("@angular/forms").AbstractControl;
    constructor(currentDevice: CurrentDeviceService, formBuilder: FormBuilder, platform: Platform, protocolFactory: ProtocolFactoryService);
    ngOnInit(): void;
    onSubmit(): void;
    _onError(err: Error): void;
}
